/// <reference types="node" />
import { Readable } from 'stream';
import { CompressOptions } from 'zipson';
/**
 * Parse a stream of zipson data
 * Returns a promise that resolves with the parsed result
 */
export declare function parseStream(stream: Readable): Promise<any>;
/**
 * Stringify data to a stream of zipson output
 * Any errors during stringifying will be emitted as en error event on the stream.
 * Pass an optional bufferThreshold to set a minimum size of chunks written to the stream.
 * Returns the stream of zipson output
 */
export declare function stringifyStream(data: any, options?: CompressOptions, bufferThreshold?: number): Readable;
